<?php
declare(strict_types=1);

namespace Inti\Image\Convert;

/**
 * Interface ConvertInterface
 *
 * @package Inti\Image\Convert
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-image
 */
interface ConvertInterface
{
    /**
     * @param string $contents
     * @param string $format
     * @return string
     */
    public function convert(string $contents, string $format): string;

    /**
     * @param string $path
     * @param string $format
     * @return string
     */
    public function convertFile(string $path, string $format): string;

    /**
     * @param resource $stream
     * @param string $format
     * @return resource
     */
    public function convertStream($stream, string $format);
}
