<?php
declare(strict_types=1);

namespace Inti\Image\Optimize;

/**
 * Interface OptimizeInterface
 *
 * @package Inti\Image\Optimize
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-image
 */
interface OptimizeInterface
{
    /**
     * @param string $contents
     * @return string
     */
    public function optimize(string $contents): string;

    /**
     * @param string $path
     */
    public function optimizeFile(string $path): void;

    /**
     * @param resource $stream
     * @return resource
     */
    public function optimizeStream($stream);
}
